
#include "wx/wx.h" 

class App: public wxApp
{
    virtual bool OnInit();
};

class Frame: public wxFrame
{
public:
	Frame(const wxString& title, const wxPoint& pos, const wxSize& size);
private:
	wxStaticText *st_hello;
};

IMPLEMENT_APP(App)

bool App::OnInit()
{
    Frame *frame = new Frame( "Hello World", wxPoint(250,250), wxSize(450,340) );
    frame->Show(TRUE);
    SetTopWindow(frame);
    return TRUE;
} 

Frame::Frame(const wxString& title, const wxPoint& pos, const wxSize& size)
: wxFrame((wxFrame *)NULL, -1, title, pos, size)
{
	st_hello= new wxStaticText(this,-1,_T("HELLO world"), wxPoint(0, 0));
}

