
#include "wx/wx.h" 

class App: public wxApp
{
    virtual bool OnInit();
};

class Frame: public wxFrame
{
public:
	Frame(const wxString& title, const wxPoint& pos, const wxSize& size);
private:
	wxButton *button;
	wxBoxSizer *sizer;
	wxBoxSizer *button_sizer;
};

IMPLEMENT_APP(App)

bool App::OnInit()
{
    Frame *frame = new Frame( "Hello World", wxPoint(250,250), wxSize(450,340) );
    frame->Show(TRUE);
    SetTopWindow(frame);
    return TRUE;
} 

Frame::Frame(const wxString& title, const wxPoint& pos, const wxSize& size)
: wxFrame((wxFrame *)NULL, -1, title, pos, size)
{
	sizer = new wxBoxSizer( wxVERTICAL );
	button_sizer = new wxBoxSizer( wxHORIZONTAL );
	button=new wxButton( this, -1, wxT("ɂ") );
	button_sizer->Add(button,0,wxALL,100);
	sizer->Add(button_sizer,0,wxALIGN_CENTER );
	SetSizer( sizer );
    SetAutoLayout(TRUE);
}
